careCycle
Custom fields

Get paginated list of custom field definitions fo…

Get paginated list of custom field definitions for the client

GET
/v2/custom-fields

Authorization

x-api-key
x-api-key<token>

API key required for authentication.

Keys begin with 'cc_' prefix. Get your API key from the Developer Dashboard.

In: header

Query Parameters

number

GET /v2/custom-fields Parameter

Default1Range1 <= value
number

GET /v2/custom-fields Parameter

Default50Range1 <= value <= 100
string

Filter by record type

Value in"customers"
string

Field to sort by

Default"createdAt"Value in"createdAt" | "fieldLabel" | "fieldType"
string

Sort direction

Default"desc"Value in"asc" | "desc"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.carecycle.ai/v2/custom-fields"
{
  "itemsTotal": 0,
  "currentPage": 0,
  "nextPage": 0,
  "prevPage": 0,
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "createdAt": "string",
      "updatedAt": "string",
      "clientId": "5e505642-9024-474d-9434-e5a44f505cc5",
      "recordType": "customers",
      "fieldKey": "string",
      "fieldLabel": "string",
      "fieldDescription": "string",
      "fieldType": "text",
      "isRequired": true,
      "options": [
        "string"
      ],
      "validationRules": "string"
    }
  ]
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "VALIDATION_ERROR",
  "errors": [
    {
      "path": [
        "string"
      ],
      "message": "string",
      "expected": "string",
      "received": "string",
      "code": "string"
    }
  ]
}
{
  "message": "string",
  "code": "string",
  "retryAfter": 0
}
{
  "message": "string",
  "code": "string"
}